package org.mynonglam.entitys;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the place database table.
 * 
 */
@Entity
public class Place implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	private String idplace;

	private String address;

	private String city;

	private String endyear;

	private boolean livinghere;

	private String startyear;

	//bi-directional many-to-one association to Account
	@ManyToOne
	@JoinColumn(name="email")
	private Account account;

	public Place() {
	}

	public String getIdplace() {
		return this.idplace;
	}

	public void setIdplace(String idplace) {
		this.idplace = idplace;
	}

	public String getAddress() {
		return this.address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCity() {
		return this.city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public String getEndyear() {
		return this.endyear;
	}

	public void setEndyear(String endyear) {
		this.endyear = endyear;
	}

	public boolean getLivinghere() {
		return this.livinghere;
	}

	public void setLivinghere(boolean livinghere) {
		this.livinghere = livinghere;
	}

	public String getStartyear() {
		return this.startyear;
	}

	public void setStartyear(String startyear) {
		this.startyear = startyear;
	}

	public Account getAccount() {
		return this.account;
	}

	public void setAccount(Account account) {
		this.account = account;
	}

}